> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 트레이닝 작업 이벤트 조회

> 트레이닝 작업의 이벤트를 조회합니다.



## OpenAPI

````yaml /ko/serverless-training/api-reference/openapi.json get /v1/preview/training-jobs/{training_job_id}/events
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/preview/training-jobs/{training_job_id}/events:
    get:
      tags:
        - training-jobs
      summary: 트레이닝 작업 이벤트 조회
      description: 트레이닝 작업의 이벤트를 조회합니다.
      operationId: >-
        get_training_job_events_v1_preview_training_jobs__training_job_id__events_get
      parameters:
        - in: path
          name: training_job_id
          required: true
          schema:
            title: Training Job Id
            type: string
        - description: 페이지네이션용 커서
          in: query
          name: after
          required: false
          schema:
            description: 페이지네이션용 커서
            title: After
            type: string
        - description: 반환할 항목 수
          in: query
          name: limit
          required: false
          schema:
            default: 20
            description: 반환할 항목 수
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_TrainingJobEventResponse_
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_TrainingJobEventResponse_:
      properties:
        data:
          description: 항목 배열
          items:
            $ref: '#/components/schemas/TrainingJobEventResponse'
          title: Data
          type: array
        first_id:
          default: ''
          description: 현재 페이지의 첫 번째 항목 ID
          title: First Id
          type: string
        has_more:
          description: 사용 가능한 항목이 더 있는지 여부
          title: Has More
          type: boolean
        last_id:
          default: ''
          description: 현재 페이지의 마지막 항목 ID
          title: Last Id
          type: string
        object:
          default: list
          description: 객체 유형 식별자
          title: Object
          type: string
      required:
        - data
        - has_more
      title: PaginatedResponse[TrainingJobEventResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    TrainingJobEventResponse:
      description: TrainingJobEvent 응답용 스키마입니다.
      properties:
        data:
          additionalProperties: true
          title: Data
          type: object
        id:
          format: uuid
          title: Id
          type: string
        type:
          $ref: '#/components/schemas/TrainingJobEventType'
      required:
        - id
        - type
        - data
      title: TrainingJobEventResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    TrainingJobEventType:
      description: 트레이닝 작업 이벤트 유형의 열거형.
      enum:
        - training_started
        - gradient_step
        - training_ended
        - training_failed
      title: TrainingJobEventType
      type: string
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````